package com.luojia_channel.modules.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.luojia_channel.common.domain.UserDTO;
import com.luojia_channel.modules.user.dto.UserLoginDTO;
import com.luojia_channel.modules.user.dto.UserRegisterDTO;
import com.luojia_channel.modules.user.entity.User;

public interface UserLoginService extends IService<User> {

    UserDTO login(UserLoginDTO userLoginDTO);

    UserDTO checkLogin(String accessToken, String refreshToken);

    void logout(String accessToken);

    UserDTO register(UserRegisterDTO userRegisterDTO);
}
